Draft BSpline/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft BSpline.svg {{{Name/jp}}}

メニュー位置
Draft -> BSpline
ワークベンチ
製図, 建築
デフォルトのショートカット
B S
参照
Draft Wire


説明

BSplineツールは現在の作業平面上の複数の点からB-スプライン曲線を作成します。作成にはTasksタブに前もって設定されているライン幅と色が使用されます。BSplineツールはDraft Wireツールと同じように動作します。

Draft bspline example.jpg

使用方法

  1. Draft BSpline.png Draft BSplineボタンを押すか、Bキーを押した後にSを押します
  2. 3Dビュー上で一つ目の点をクリックするか、座標を入力します
  3. 3Dビュー上で続けて点をクリックするか、座標を入力します
  4. FキーまたはCキーを押すか、最後の点をダブルクリックするか、あるいはスプラインと閉じて終了するために最初の点をクリックします。スプラインが閉じている場合は表示上ワイヤーフレームに見えている場合でも面が作られます。

オプション

  • スプラインを開いたまま状態で終了するにはFキーまたはDraft FinishLine.png Finishボタンを押します
  • 最後の点と最初の点の間に線分を作成しスプライン閉じて終了するにはCキーまたはDraft CloseLine.png Closeボタンを押すか、最初の点をクリックします
  • 点を指定した後でXY、またはZを押すと次の点を指定した軸上に拘束できます。
  • 手入力で座標を指定する場合は各X、Y、Z成分を数値で入力してからENTERを押してください。
  • Rを押すか、チェックボックスをクリックしてRelativeボタンのチェック/非チェックを切り替えてください。相対(Relative)モードがオンの場合、二つ目の点の座標は一つ目の点に対する相対値として扱われ、オフの場合は二つとも原点(0,0,0)からの絶対座標として扱われます。
  • Tキーを押すかContinueボタンのチェックボックスをクリックしてチェック/非チェックを切り替えてください。継続モードがオンの場合はスプラインが終了するか閉じた後にBSplineツールが再スタートし、再度BSplineボタンを押さないでも処理を継続できます。
  • 描画中にCTRLキーを押すと距離と無関係に最も近いスナップ位置に操作点をスナップすることができます。
  • 描画中にSHIFTキーを押すと最後に入力した点に対して水平方向、垂直方向に次の点を拘束することができます。
  • 既存の線分を削除して終点からスプラインを開始するにはWキーまたはDraft Wipe.png Wipeボタンを押してください。
  • 最後に入力した点を取り消すにはCTRL+ZまたはDraft UndoLine.png Undoボタンを押してください
  • 線が閉じられた後にスプラインが面として表示されるようにするにはIキーまたはFilled ボタンを押してください。ワイヤーのView->Propertyの"Flat lines"と"Wireframe"を簡単に切り替えられます。この設定は後から簡単に変えられます。
  • 現在のBSplineコマンドを中断するにはESCキーまたはCancelボタンを押してください。

プロパティ

  • DATAClosed: スプラインが閉じているかどうかを指定します
  • VIEWEnd Arrow: スプラインの終点に矢印を表示します。注釈引き出し線として使う場合に使用します。

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからBSplineツールを使用することが可能です。

makeBSpline (pointslist,[closed],[placement]) : 指定されたベクトルのリストからB-スプラインオブジェクトを作成します。
closedがTrueまたは始点と終点が一致している場合、ワイヤーは閉曲線になります。faceがTrue(かつB-スプラインが閉曲線)の場合
B-スプラインは面として表示されます。点列の代わりにPart Wireを渡すこともできます。この関数は新しく作成されたオブジェクトを返します。

例:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeBSpline([p1,p2,p3],closed=True)
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg